<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku:  Fichier source de src/Joueur.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Joueur.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_joueur_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Loan Caecke on 2019-04-29.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef PROJET_GOMOKU_JOUEUR_HPP</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define PROJET_GOMOKU_JOUEUR_HPP</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_couleur_8hpp.html">Couleur.hpp</a>&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_plateau_8hpp.html">Plateau.hpp</a>&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="class_joueur.html">   17</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_joueur.html">Joueur</a> {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    std::string _pseudo;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> _couleur;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keywordtype">int</span> _nbPions;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keyword">friend</span> std::ostream &amp;<a class="code" href="class_joueur.html#a21a4c15dd5173c36f03e1a9bcead1f66">operator&lt;&lt;</a>(std::ostream &amp;os, <span class="keyword">const</span> <a class="code" href="class_joueur.html">Joueur</a> &amp;joueur);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <a class="code" href="class_joueur.html#a3464d22c5d1576af68b6d6ec4b3406e6">Joueur</a>(<span class="keyword">const</span> std::string&amp; pseudo, <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> couleur);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keyword">const</span> std::string &amp;<a class="code" href="class_joueur.html#a05d02936c947fb18a394fb0d7864723c">getPseudo</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_joueur.html#adc95a4a0a66297f0b0b90318280b8b70">setPseudo</a>(<span class="keyword">const</span> std::string &amp;pseudo);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="class_joueur.html#af5243334ac06c28123a288e456096d47">getNbPions</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_joueur.html#ab003f6a4574165626ad437492b2cde6f">setNbPions</a>(<span class="keywordtype">int</span> x);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> <a class="code" href="class_joueur.html#a5912789a36779072d93bc01825d8d968">getCouleur</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_joueur.html#a27e8d8b8ec766d02b5508f12bbde7754">setCouleur</a>(<a class="code" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> couleur);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_joueur.html#ad8c49a2997ad1fb168d5f6fb88ca7d55">poserPion</a>(<span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <a class="code" href="class_plateau.html">Plateau</a>* p, <span class="keywordtype">bool</span> firstTurn = <span class="keyword">false</span>);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;};</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#endif //PROJET_GOMOKU_JOUEUR_HPP</span></div><div class="ttc" id="class_joueur_html_a3464d22c5d1576af68b6d6ec4b3406e6"><div class="ttname"><a href="class_joueur.html#a3464d22c5d1576af68b6d6ec4b3406e6">Joueur::Joueur</a></div><div class="ttdeci">Joueur(const std::string &amp;pseudo, Couleur couleur)</div><div class="ttdef"><b>Definition:</b> Joueur.cpp:35</div></div>
<div class="ttc" id="_couleur_8hpp_html"><div class="ttname"><a href="_couleur_8hpp.html">Couleur.hpp</a></div></div>
<div class="ttc" id="class_joueur_html_adc95a4a0a66297f0b0b90318280b8b70"><div class="ttname"><a href="class_joueur.html#adc95a4a0a66297f0b0b90318280b8b70">Joueur::setPseudo</a></div><div class="ttdeci">void setPseudo(const std::string &amp;pseudo)</div><div class="ttdef"><b>Definition:</b> Joueur.cpp:14</div></div>
<div class="ttc" id="class_joueur_html"><div class="ttname"><a href="class_joueur.html">Joueur</a></div><div class="ttdef"><b>Definition:</b> Joueur.hpp:17</div></div>
<div class="ttc" id="_plateau_8hpp_html"><div class="ttname"><a href="_plateau_8hpp.html">Plateau.hpp</a></div></div>
<div class="ttc" id="class_joueur_html_af5243334ac06c28123a288e456096d47"><div class="ttname"><a href="class_joueur.html#af5243334ac06c28123a288e456096d47">Joueur::getNbPions</a></div><div class="ttdeci">int getNbPions() const</div><div class="ttdef"><b>Definition:</b> Joueur.cpp:26</div></div>
<div class="ttc" id="class_joueur_html_a5912789a36779072d93bc01825d8d968"><div class="ttname"><a href="class_joueur.html#a5912789a36779072d93bc01825d8d968">Joueur::getCouleur</a></div><div class="ttdeci">Couleur getCouleur() const</div><div class="ttdef"><b>Definition:</b> Joueur.cpp:18</div></div>
<div class="ttc" id="class_joueur_html_a27e8d8b8ec766d02b5508f12bbde7754"><div class="ttname"><a href="class_joueur.html#a27e8d8b8ec766d02b5508f12bbde7754">Joueur::setCouleur</a></div><div class="ttdeci">void setCouleur(Couleur couleur)</div><div class="ttdef"><b>Definition:</b> Joueur.cpp:22</div></div>
<div class="ttc" id="_couleur_8hpp_html_aa304d0ca681f782b1d7735da33037dd7"><div class="ttname"><a href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a></div><div class="ttdeci">Couleur</div><div class="ttdef"><b>Definition:</b> Couleur.hpp:12</div></div>
<div class="ttc" id="class_joueur_html_ab003f6a4574165626ad437492b2cde6f"><div class="ttname"><a href="class_joueur.html#ab003f6a4574165626ad437492b2cde6f">Joueur::setNbPions</a></div><div class="ttdeci">void setNbPions(int x)</div><div class="ttdef"><b>Definition:</b> Joueur.cpp:30</div></div>
<div class="ttc" id="class_joueur_html_a21a4c15dd5173c36f03e1a9bcead1f66"><div class="ttname"><a href="class_joueur.html#a21a4c15dd5173c36f03e1a9bcead1f66">Joueur::operator&lt;&lt;</a></div><div class="ttdeci">friend std::ostream &amp; operator&lt;&lt;(std::ostream &amp;os, const Joueur &amp;joueur)</div><div class="ttdef"><b>Definition:</b> Joueur.cpp:61</div></div>
<div class="ttc" id="class_plateau_html"><div class="ttname"><a href="class_plateau.html">Plateau</a></div><div class="ttdef"><b>Definition:</b> Plateau.hpp:13</div></div>
<div class="ttc" id="class_joueur_html_ad8c49a2997ad1fb168d5f6fb88ca7d55"><div class="ttname"><a href="class_joueur.html#ad8c49a2997ad1fb168d5f6fb88ca7d55">Joueur::poserPion</a></div><div class="ttdeci">void poserPion(int x, int y, Plateau *p, bool firstTurn=false)</div><div class="ttdef"><b>Definition:</b> Joueur.cpp:42</div></div>
<div class="ttc" id="class_joueur_html_a05d02936c947fb18a394fb0d7864723c"><div class="ttname"><a href="class_joueur.html#a05d02936c947fb18a394fb0d7864723c">Joueur::getPseudo</a></div><div class="ttdeci">const std::string &amp; getPseudo() const</div><div class="ttdef"><b>Definition:</b> Joueur.cpp:10</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
